Bug 200743 - meta files for Hotspot are regenerated during clean&build all the time
meta files for Hotspot are regenerated during clean&build all the time
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project Discovery
7.0.1
All All
: P3 (vote)
: 7.0.1
Assigned To: Alexander Simon
issues@cnd
701patch1-verified, discovery, oss_id...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-08 06:09 UTC by Vladimir Voskresensky
Modified: 2013-05-17 15:07 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2011-08-08 06:09:45 UTC
Attempt to put IDE files under vcs failed, found issues:
- some macros are volatile, i.e. name of user or current build varsion (they are passed as -D) => any other user will see them changed
- if you try to commit meta files and then clean & build => configuration.xml reorder/add/remove lines => impossible to use IDE without changing meta files - user confused
Comment 1 Alexander Simon 2011-08-11 15:17:49 UTC
in change set:
http://hg.netbeans.org/cnd-main/rev/6c17065d5f31
fixed:
- sort macros in configuration.xml
- fix macros order (item macros overrides folder macros with same name and different value)
- consolidate macros on folder level by macros name (old strategy: by macros name+macros value)
Comment 2 Quality Engineering 2011-08-12 14:41:28 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/6c17065d5f31
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixing Bug #200743 meta files for Hotspot are regenerated during clean&build all the time
- sort macros in configuration.xml
- fix macros order (item macros overrides folder macros with same name and different value)
- consolidate macros on folder level by macros name (old strategy: by macros name+macros value)
Comment 3 Alexander Simon 2011-08-17 14:51:05 UTC
Separate bug #201042 for volatile macros was created
Comment 4 Alexander Simon 2011-08-17 15:27:18 UTC
fix integrated to release701_fixes on elif:
Change set:
204700:3addaacec663
Comment 5 Alexander Pepin 2011-08-24 08:09:28 UTC
verified in dev build #30 (20110823) on Ubuntu 10.10
Comment 6 Alexander Simon 2011-08-24 11:41:18 UTC
integrated in release701_fixes:
3addaacec663 transplanted to 8c028e4866b0
Comment 7 Quality Engineering 2011-08-25 04:25:35 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/8c028e4866b0
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #200743 - meta files for Hotspot are regenerated during clean&build all the time
- sort macros in configuration.xml
- fix macros order (item macros overrides folder macros with same name and different value)
- consolidate macros on folder level by macros name (old strategy: by macros name+macros value)
(transplanted from 3addaacec66344abf0c18d99ed0e2bbe554f890e)
Comment 8 Alexander Pepin 2011-08-29 13:22:01 UTC
verified in 7.0.1 patch1.
Comment 9 Quality Engineering 2011-09-26 13:34:19 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/3addaacec663
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #200743 - meta files for Hotspot are regenerated during clean&build all the time
- sort macros in configuration.xml
- fix macros order (item macros overrides folder macros with same name and different value)
- consolidate macros on folder level by macros name (old strategy: by macros name+macros value)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo